set xlabel "Energy [keV]"
set ylabel "Spectrum [number of counts]"
set autoscale
set log y
set yrange [1:]
set grid 					# para habilitar la grid (grilla)
set xzeroaxis lt -1 linecolor rgb "black"	# para dibujar el eje x en y=0
set key box linestyle 1 linecolor rgb "black"	# para dibujar un recuadro en la leyenda

# para dibujar el residuo movido en un 10% del valor m\E1ximo de las cuentas del espectro:
max(a,b)=a>b?a:b 
a=0.
#

###
plot '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:2 title 'Spectrum' with points pointtype 7 pointsize 0.25 linecolor rgb "black", \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:3 title 'PAMPA' with lines linecolor rgb "black", \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:5 title 'Lines' with lines linecolor rgb "blue", \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:6 notitle 'Linea     KKL3   ' with lines linecolor rgb "blue", \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:7 notitle 'Linea     KKL3   ' with lines linecolor rgb "blue", \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:8 notitle 'Linea     KKM23  ' with lines linecolor rgb "blue", \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:9 title 'Asymmetries' with lines linecolor rgb "cyan" , \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:10 with lines linecolor rgb "cyan" notitle , \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:11 with lines linecolor rgb "cyan" notitle , \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:12 with lines linecolor rgb "cyan" notitle , \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:13 with lines linecolor rgb "cyan" notitle , \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:4 title 'Background' with lines linecolor rgb "magenta", \
     '/home/tabatha/PAMPA/pampa/ajustes/mdelgada.sal' using 1:(a=max(a,$2),0/0) notitle, '' using 1:($3-$2-a/10) title 'Residue' with linespoints pointsize 0.1 linecolor rgb "red" , \
     0.-a/10 with lines linetype 7 linecolor rgb "red" notitle

#flechas sin cabeza donde est\E1n las lineas encontradas
replot
pause-1
